﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectMotorboat;

public class EntityMotorboat
{
    public int Speed { get; private set; }
    
    public double Weight { get; private set; }
    
    public Color BodyColor { get; private set; }
    
    public Color AdditionalColor { get; private set; }
    
    public bool Motor { get; private set; }
    
    public bool Glass { get; private set; }
    
    
    public double Step => Speed * 100 / Weight;
    
    public void Init(int speed, double weight, Color bodyColor, Color
    additionalColor, bool motor, bool glass )
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        Motor = motor;
        Glass = glass;
       
    }

}
